﻿using Microsoft.Xna.Framework.Input;
using System.Collections.Generic;

namespace SemiColinGames {
  public class KeyboardInput {
    private KeyboardState oldState = Keyboard.GetState();
    private List<Keys> newKeysDown = new List<Keys>();

    public void Update() {
      KeyboardState newState = Keyboard.GetState();
      newKeysDown.Clear();
      foreach (Keys k in newState.GetPressedKeys()) {
        if (!oldState.IsKeyDown(k)) {
          newKeysDown.Add(k);
        }
      }
      oldState = newState;
    }

    public List<Keys> NewKeysDown() {
      return newKeysDown;
    }
  }
}